org.jbpm.process.instance

## Class StartProcessHelper

- java.lang.Object
- - org.jbpm.process.instance.StartProcessHelper

-     public final class StartProcessHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROCESS_COMPARATOR_CLASS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `findLatestProcessByName(Collection<org.kie.api.definition.process.Process> processes, String processName)`
    `static String` | `findLatestProcessByName(Collection<org.kie.api.definition.process.Process> processes, String processName, Comparator<org.kie.api.definition.process.Process> comparator)`
    `static String` | `findLatestProcessByName(org.kie.api.KieBase kbase, String processName)`
    `static String` | `findLatestProcessByName(org.kie.api.KieBase kbase, String processName, Comparator<org.kie.api.definition.process.Process> comparator)`
    `static Comparator<org.kie.api.definition.process.Process>` | `getComparator(String name)`
    `static org.kie.api.runtime.process.ProcessInstance` | `startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime, String name, Map<String,Object> parameters)`
    `static org.kie.api.runtime.process.ProcessInstance` | `startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime, String name, Map<String,Object> parameters, Comparator<org.kie.api.definition.process.Process> comparator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESS_COMPARATOR_CLASS_KEY

          public static final String PROCESS_COMPARATOR_CLASS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StartProcessHelper

          public StartProcessHelper()

  - ### Method Detail

    - #### startProcessByName

          public static org.kie.api.runtime.process.ProcessInstance startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime,
                                                                                       String name,
                                                                                       Map<String,Object> parameters)

    - #### startProcessByName

          public static org.kie.api.runtime.process.ProcessInstance startProcessByName(org.kie.internal.runtime.KnowledgeRuntime kruntime,
                                                                                       String name,
                                                                                       Map<String,Object> parameters,
                                                                                       Comparator<org.kie.api.definition.process.Process> comparator)

    - #### findLatestProcessByName

          public static String findLatestProcessByName(org.kie.api.KieBase kbase,
                                                       String processName)

    - #### findLatestProcessByName

          public static String findLatestProcessByName(org.kie.api.KieBase kbase,
                                                       String processName,
                                                       Comparator<org.kie.api.definition.process.Process> comparator)

    - #### findLatestProcessByName

          public static String findLatestProcessByName(Collection<org.kie.api.definition.process.Process> processes,
                                                       String processName)

    - #### findLatestProcessByName

          public static String findLatestProcessByName(Collection<org.kie.api.definition.process.Process> processes,
                                                       String processName,
                                                       Comparator<org.kie.api.definition.process.Process> comparator)

    - #### getComparator

          public static Comparator<org.kie.api.definition.process.Process> getComparator(String name)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.